PHP - tietoa sivuston omistajalle

PHP on suosittu ohjelmointikieli, jota käytetään laajasti websivustoilla. Mm. suosittu julkaisujärjestelmä WordPress on ohjelmoitu PHP:n avulla.

Koska eri PHP-versiot ovat keskenään hyvin erilaisia, täytyy sivuston ohjelmoinnin olla yhteensopiva palvelimella käytetyn version kanssa.

PHP-versioiden elinkaari

PHP-versioiden elinkaaret ovat listattuna projektin kotisivuilla osoitteessa https://www.php.net/supported-versions.php

Osalla palvelimistamme on käytössä tällä hetkellä PHP-versio 7.3, ja se on tuettu 6.12.2021 saakka.

PHP-versio 7.4 on julkaistu 28.11.2019 ja se on tuettu 28.11.2022 asti.

Palvelinten päivitykset

Kun uusi PHP-versio on saatavilla, tiedotamme sähköpostitse tulevasta PHP-versiopäivityksestä. Ennen tiedotteessa mainittua ajankohtaa on tärkeää varmistaa että sivusto on yhteensopiva uuden PHP-version kanssa. Olethan asiasta yhteydessä kotisivujen ylläpitäjään, mikäli et huolehdi itse niiden ylläpidosta.

Mistä tiedän onko sivustoni yhteensopiva uuden version kanssa?

Parhaiten saat tämän tiedon sivuston toteuttajalta tai käytetyn ohjelmiston valmistajalta.

Suuri osa julkaisujärjestelmistä, kuten WordPress, Joomla ja Drupal tukevat suoraan uusimpia versioita, kunhan olet päivittänyt ohjelmiston sen omaan uusimpaan mahdolliseen versioon. Monet käytetyt ulkoasuteemat ja lisäosat eivät kuitenkaan välttämättä toimi suoraan, joten nyös niiden tuki on hyvä selvittää tai vaihtaa lisäosa sellaiseen, joka tukee uusinta PHP-versiota.

Jos sivustosi ei toimi PHP-versiopäivityksen jälkeen

Mikäli sivuston päivittäminen yhteensopivaksi uuden PHP-version kanssa ei ole mahdollista, voimme tarjota erillisenä lisäpalveluna tuen vanhemmalle PHP-versiolle.

Käytännössä tämä tarkoittaa sitä että palvelunne siirretään toiselle palvelimelle jossa vanhempi PHP -versio on vielä lisäpalveluna tuettu ja päivitetty tietoturvan osalta ajan tasalle.

Tämä ei kuitenkaan ole lopullinen ratkaisu vaan websivustolla käytössä oleva ohjelmisto olisi hyvä päivittää mahdollisimman pikaisesti ajan tasalle tietoturvasyistä, sillä jos ohjelmisto ei ole yhteensopiva uusimman PHP-version kanssa niin se sisältää todennäköisesti haavoittuvuuksia.

Lisäpalvelun hinta on 3 € / kk (sis. Alv).

Olethan yhteydessä asiakaspalveluumme mikäli tarvitset vanhemman PHP-version tuen webhotelliisi.

Lisäpalvelu on saatavilla tällä hetkellä seuraaville PHP-versioille:

5.2, 5.3, 5.4, 5.5, 5.6, 7.0, 7.1, 7.2, 7.3